%define name    dante
%define version 1.1.19
%define release %mkrel 3
%define major   0
%define libname_orig                            lib%{name}
%define libname                 %mklibname      %{name} %{major}
%define libnamedev              %mklibname      %{name} %{major} -d
%define libnamestaticdev        %mklibname      %{name} %{major} -d -s

Summary:        A free Socks v4/v5 client implementation
Name:           %{name}
Version:        %{version}
Release:        %{release}
License:        BSD-like
Group:          Networking/Other
URL:            http://www.inet.no/dante/
Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Buildrequires:  perl-base pam-devel tcp_wrappers-devel
Source0:        %{name}-%{version}.tar.bz2
Source1:        %{name}-sockd.init
Patch0:         %{name}-1.1.14-wait.patch.bz2
Patch1:         %{name}-1.1.12-pre1-pam-syslog.patch.bz2
Requires:       %{libname} = %{version}

%description
Dante is a free implementation of the proxy protocols socks version 4,
socks version 5 (rfc1928) and msproxy. It can be used as a firewall
between networks. It is being developed by Inferno Nettverk A/S, a
Norwegian consulting company. Commercial support is available.

This package contains the dynamic libraries required to "socksify"
existing applications to become socks clients.

%package        server
Summary:        A free Socks v4/v5 server implementation
Group:          System/Servers
Requires(pre):  rpm-helper

%package -n     %{libname}
Summary:        Library for Dante
Group:          System/Libraries

%description -n %{libname}
Library for Dante

%description    server
This package contains the socks proxy daemon and its documentation.
The sockd is the server part of the Dante socks proxy package and
allows socks clients to connect through it to the network.

%package -n     %{libnamedev}
Summary:        Development libraries for dante
Group:          Development/C
Provides:       %{libname_orig}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}

%description -n %{libnamedev}
Additional libraries required to compile programs that use dante.

%package -n     %{libnamestaticdev}
Summary:        Static libraries for dante
Group:          Development/C
Provides:       %{libname_orig}-static-devel = %{version}-%{release}
Provides:       %{libname_orig}-static = %{version}-%{release}
Provides:       %{name}-static-devel = %{version}-%{release}
Provides:       %{name}-static = %{version}-%{release}

%description -n %{libnamestaticdev}
Static libraries for dante

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

perl -pi -e "s/libdl.so/`basename \`readlink %{_libdir}/libdl.so\``/;s/libdsocks.so/libdsocks.so.%major/" $RPM_BUILD_ROOT%{_bindir}/socksify

install -m644 example/socks.conf -D $RPM_BUILD_ROOT%{_sysconfdir}/socks.conf
install -m644 example/sockd.conf -D $RPM_BUILD_ROOT%{_sysconfdir}/sockd.conf

install -m755 %{SOURCE1} -D $RPM_BUILD_ROOT%{_initrddir}/sockd
install -d $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
cat <<EOF > $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/sockd
# Any extra option to pass to sockd
SOCKD_EXTRA_OPTIONS=
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%post server
%_post_service sockd

%preun server
%_preun_service sockd

%files
%defattr(-,root,root)
%doc BUGS CREDITS LICENSE NEWS README SUPPORT TODO VERSION
%doc doc/README* doc/SOCKS4.protocol doc/faq* doc/rfc*
%{_bindir}/socksify
%{_mandir}/man5/socks.conf.5*
%config(noreplace) %{_sysconfdir}/socks.conf

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files server
%defattr(-,root,root)
%{_sbindir}/sockd
%{_mandir}/man5/sockd.conf.5*
%{_mandir}/man8/*
%config(noreplace) %{_initrddir}/sockd
%config(noreplace) %{_sysconfdir}/sockd.conf
%config(noreplace) %{_sysconfdir}/sysconfig/sockd

%files -n %{libnamedev}
%defattr (-,root,root)
%{_libdir}/*.la
%{_libdir}/*.so
%{_includedir}/*.h

%files -n %{libnamestaticdev}
%defattr (-,root,root)
%{_libdir}/*.a

%changelog
* Mon Aug 14 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.1.19-3mdv2007.0
- Fix rpmlint warnings

* Sun Jul 23 2006 Olivier Blin <blino@mandriva.com> 1.1.19-2mdv2007.0
- rebuild for new glibc

* Thu Mar 23 2006 Lenny Cartier <lenny@mandriva.com> 1.1.19-1mdk
- 1.1.19

* Wed Jul 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.1.17-1mdk
- New release 1.1.17
- mkrel

* Mon Jan 31 2005 Lenny Cartier <lenny@mandrakesoft.com> 1.1.15-1mdk
- 1.1.15

* Fri Jul  2 2004 Olivier Blin <blino@mandrake.org> 1.1.14-3mdk
- Patch0: redefine __GNUC__ for sys/wait.h inclusion
- move init script in init script directory

* Mon Jan  5 2004 Olivier Blin <blino@mandrake.org> 1.1.14-2mdk
- fix LD_PRELOAD in socksify script, ugly hack with readlink
  (is it 64bits-proof ?)
- require library in main package, find-requires doesn't find requires
  for LD_PRELOADs in shell scripts

* Sat Jan 03 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.1.14-1mdk
- 1.1.14
- cleanups!
- libify!

* Tue Jan 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.1.13-3mdk
- rebuild

* Tue Jun 18 2002 Andrej Borsenkow <arvidjaar@mail.ru> 1.1.13-2mdk
- fix documentation list

* Tue Jun 18 2002 Andrej Borsenkow <arvidjaar@mail.ru> 1.1.13-1mdk
- new version
- small spec tweaks to handle pre versions
- initscript cleanup
- sysconfig template - -l is obsolete, everything is line-buffered now.
- removed patch0, patch3, patch4 - intergrated upstream
- removed patch103 - different version upstream

* Fri Jun  7 2002 Andrej Borsenkow <arvidjaar@mail.ru> 1.1.12-6mdk
- patch103 - make sure logfiles are always linebuffered when requested
- dante-server does not depend on dante
- do not use range in %%doc section to avoid locale problem
- add more file from doc/* to %%doc section

* Wed May 15 2002 Andrej Borsenkow <arvidjaar@mail.ru> 1.1.12-5mdk
- fix compilation with gcc-3.1 (it requires correct syntax even if
code is under #ifdef)

* Fri Apr 19 2002 Andrej Borsenkow <arvidjaar@mail.ru> 1.1.12-4mdk
- patch3 - fix misinterpretation of %%s in log output (Michael Shuldman)
- BuildRequires: remove bison

* Tue Apr 16 2002 Andrej Borsenkow <arvidjaar@mail.ru> 1.1.12-3mdk
- remove patch2 - not needed (stupid me)
- add /etc/sysconfig/sockd and SOCKD_EXTRA_OPTIONS
- patch0: remove "do-not-set-close-on-exec' hack, not needed
- use _post/_preun_service macros

* Mon Apr 15 2002 Andrej Borsenkow <arvidjaar@mail.ru> 1.1.12-2mdk
- patch2 (fflush log output to prevent log evaluation delays on low
  volume server)
- update patch0
    o initialize state.pid after fork, not before
    o do not set close-on-exec for logfiles in server
- BuildRequires: bison

* Fri Apr 12 2002 Andrej Borsenkow <arvidjaar@mail.ru> 1.1.12-1mdk
- BuildRequires: pam-devel tcp_wrappers-devel binutils
- use configure2_5x macro
- really add explicit version to libdsocks.so in socksify
- do not use libdl.so it seems to work fine without it
- libtool already creates libfoo.so link for us
- simplify quoting in /etc/rc.d/init.d/sockd
- workaround for gprintify.py bug (remove quotes around variable)
- patch0 (correct exit code)
- patch1 (workaround for PAM syslog implementation)
- 1.1.12

* Wed Feb 06 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1.11-2mdk
- patch from Borsenkow Andrej <Andrej.Borsenkow@mow.siemens.ru> :
        o add explicit versions to libraries

* Tue Feb 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1.11-1mdk
- update to 1.1.11 final
- again fix in initscript 
  ( thx Borsenkow Andrej <Andrej.Borsenkow@mow.siemens.ru>)

* Tue Feb 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1.11-0.4mdk
- fixes initscript from Pascal Terjan <pascal.terjan@free.fr>

* Sat Nov 24 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.1.11-0.3mdk
- minor changes in initscript to be sure to use /etc/sockd.conf
- remove libdl for now
- some spec cleaning

* Fri Nov 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.1.11-0.2mdk
- 1.1.11pre2

* Tue Nov 13 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.1.11-0.1mdk
- 1.1.11pre1

* Wed Sep 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.1.10-2mdk
- links libdsocks.so.0, libdl.so.2, thx Thomas Poindessous

* Mon Jul 02 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.1.10-1mdk
- upgraded to 1.1.10

* Wed Mar 14 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.1.9-1mdk
- updated to 1.1.9

* Thu Feb 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.1.8-1mdk
- updated to 1.1.8

* Mon Jan 08 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.1.6-1mdk
- updated to 1.1.6
- rebuild

* Tue Jun 13 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.1.1-2mdk
- fix link on libdsocks

* Thu Jun 10 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 1.1.1-1mdk
- mandrake adaptations
- first release for mandrake

* Wed Mar 10 1999 Karl-Andre' Skevik <karls@inet.no>
- Integrated into CVS
- socksify patch no longer needed

* Thu Mar 04 1999 Oren Tirosh <oren@hishome.net>
- configurable %%{prefix}, fixed daemon init script
- added /lib/libdl.so to socksify

* Wed Mar 03 1999 Oren Tirosh <oren@hishome.net>
- First spec file for Dante
